Bug 54885 - Internal compiler error universal-character-name `\u
Internal compiler error universal-character-name `\u
Product: Red Hat Linux
Classification: Retired
Component: kdevelop (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2001-10-22 14:03 EDT by bob challis
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-22 14:03:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description bob challis 2001-10-22 14:03:27 EDT
Description of Problem:  Repeatable compiler error when making the project.

	this->Tstrip1->setText(test,0,comp);	// compiles OK
---->	this->Tstrip1->updateCell (test, 0);		// this line fails

Tstrip1 is a Qtable.  It displays/operates correctly if ...update... is commented out.

Internal compiler error: Error reporting routines re-entered.
Please submit a full bug report.

Version-Release number of selected component (if applicable):


	(Failed also with kdevelop 1.4 and qt 2.3.0)

How Reproducible:	Always fails

Steps to Reproduce:
1.    Make project or compile programe

Actual Results:
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde -I/usr/lib/qt-2.3.1/include 
-I/usr/X11R6/include     -O2 -fno-exceptions -fno-check-new -Wall -pedantic 
-W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -Wno-long-long 
-Wnon-virtual-dtor -fno-builtin -O0 -g3 -Wall -DQT_THREAD_SUPPORT  -c 
autostage.cpp: In method `void AutoStage::DisplayTest (int, int, char 
*, char *)':
autostage.cpp:200: universal-character-name `\u
Internal compiler error: Error reporting routines re-entered.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
gmake: *** [autostage.o] Error 1
*** failed ***

Expected Results:

	Successful make.

Additional Information:

This error was reported first when using kdevelop 1.4 which was part of the RH7.1
commercial distro.  I was automatically connected to bugzilla and was informed
that 1.4 was no longer supported -- upgrade to latest version.

After 3 days of finding, downloading, RPM upgrade/test... I finally got all of 
KDE2.2.1 loaded.  The SAME error occurred.  I was NOT automatically connected
to bugzilla (WHY NOT?).

This is a show-stopper for my development.  Please help

Bob Challis
Comment 1 Ngo Than 2001-10-29 05:50:57 EST
this problem is not reproducible ony my local machine. perhaps you have old
version off gcc package.

Please update gcc from errata, it should work.

Note You need to log in before you can comment on or make changes to this bug.